> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns model quality scheduler query for the model.



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/v2/api/model/{model_id}/model-quality-scheduler-query
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/model-quality-scheduler-query:
    summary: Returns model quality scheduler query for the model.
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier for the model.
    get:
      tags:
        - ModelQuality
      summary: Returns model quality scheduler query for the model.
      operationId: getModelQualitySchedulerQuery
      responses:
        '200':
          description: The model quality scheduler query was fetched successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/modelQualitySchedulerQueryResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '404':
          description: Model Quality Scheduler Query not found.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  schemas:
    modelQualitySchedulerQueryResponse:
      title: Scheduler Query for Model quality.
      description: >-
        The model quality query for a model to trigger the model quality
        scheduled analyze.
      oneOf:
        - $ref: '#/components/schemas/modelQualityRegressionSchedulerQuery'
        - $ref: '#/components/schemas/modelQualityClassificationSchedulerQuery'
      discriminator:
        propertyName: modelType
        mapping:
          regression:
            $ref: '#/components/schemas/modelQualityRegressionSchedulerQuery'
          classification:
            $ref: '#/components/schemas/modelQualityClassificationSchedulerQuery'
    modelQualityRegressionSchedulerQuery:
      allOf:
        - $ref: '#/components/schemas/modelQualityRegressionQuery'
        - $ref: '#/components/schemas/modelQualitySchedulerQueryCommon'
    modelQualityClassificationSchedulerQuery:
      allOf:
        - $ref: '#/components/schemas/modelQualityClassificationQuery'
        - $ref: '#/components/schemas/modelQualitySchedulerQueryCommon'
    modelQualityRegressionQuery:
      title: Regression Metric Query
      description: Query config for Regression model
      allOf:
        - $ref: '#/components/schemas/metricQueryCommon'
        - type: object
          required:
            - metricCheckConfigs
          properties:
            metricCheckConfigs:
              type: array
              items:
                $ref: '#/components/schemas/regressionCheckConfig'
    modelQualitySchedulerQueryCommon:
      type: object
      required:
        - modelId
      properties:
        modelId:
          title: Model Identifier
          description: Unique identifier of the model.
          type: string
    modelQualityClassificationQuery:
      title: Classification Metric Query
      description: Query config for Classification model
      allOf:
        - $ref: '#/components/schemas/metricQueryCommon'
        - type: object
          required:
            - metricCheckConfigs
          properties:
            metricCheckConfigs:
              type: array
              items:
                $ref: '#/components/schemas/classificationCheckConfig'
    metricQueryCommon:
      title: Metric Query Common components
      description: Metric Query Common components acrooss all metrics.
      type: object
      required:
        - modelType
      properties:
        startTimestamp:
          type: number
        endTimestamp:
          type: number
        modelType:
          $ref: '#/components/schemas/modelType'
    regressionCheckConfig:
      allOf:
        - $ref: '#/components/schemas/metricCheckConfigCommon'
        - type: object
          required:
            - metricType
          properties:
            metricType:
              $ref: '#/components/schemas/regressionMetrics'
    classificationCheckConfig:
      allOf:
        - $ref: '#/components/schemas/metricCheckConfigCommon'
        - type: object
          required:
            - metricType
          properties:
            metricType:
              $ref: '#/components/schemas/classificationMetrics'
    modelType:
      description: Type of the model
      type: string
    metricCheckConfigCommon:
      title: Metric Query config Common components
      description: Query config Common components
      type: object
      required:
        - alertsEnabled
        - threshold
      properties:
        alertsEnabled:
          title: Alertable
          description: Whether this feature is alertable for not
          type: boolean
        threshold:
          $ref: '#/components/schemas/metricCheckThreshold'
    regressionMetrics:
      title: Regression Metric
      description: A Regression Metric Name
      type: string
      enum:
        - mse
        - mae
        - mape
        - r2
        - regression_normalized_weighted_gini
    classificationMetrics:
      title: Classification Metrics
      description: A Classification Metric Name
      type: string
      enum:
        - accuracy
        - precision
        - recall
        - f1
        - auc_roc
        - log_loss
        - classification_normalized_weighted_gini
    metricCheckThreshold:
      title: Metric Check Thresholds
      description: Check Thresholds at which the check fails
      type: object
      required:
        - operator
        - lowerThreshold
        - upperThreshold
      properties:
        operator:
          title: Math Operator
          description: The math operator for the condition, like < or <=.
          type: string
        lowerThreshold:
          title: Lower Bound
          description: The lower bound for the metric check
          type: number
        upperThreshold:
          title: Upper Bound
          description: The upper bound for the metric check
          type: number
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````